Bug 1022088 - glm should install FindGLM.cmake
glm should install FindGLM.cmake
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glm (Show other bugs)
22
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Joonas Sarajärvi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 11:41 EDT by Gabriel Rauter
Modified: 2015-08-23 03:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-23 03:54:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Rauter 2013-10-22 11:41:24 EDT
Description of problem:
FindGLM.cmake is not installed, so you can not use find_package(GLM required) in cmake. The GLM source already contains the file in the folder util (util/FindGLM.cmake).

Version-Release number of selected component (if applicable):
0.9.4.3-1.fc19

How reproducible:
Try to use find_package(GLM required) in a cmake file when package is installed.

Actual results:
Does not find FindGLM.cmake

Expected results:
Check that GLM is installed.

Additional info:
There is a feature request to include the isntallation routine upstream, but it is not on their priority list.
https://github.com/g-truc/glm/issues/104
Comment 1 Joonas Sarajärvi 2014-12-29 16:09:47 EST
First, sorry for not responding to this earlier.

My impression is that if a library wants to make itself easily findable by cmake setups, it would ideally install a file named GLMConfig.cmake and not a FindGLM.cmake file. The latter would possibly find some GLM, but not necessarily the one that was installed. The find_package command of CMake is supposed to be able to work with both.

GLM upstream seems to nowadays even install their FindGLM.cmake file by default. I am not entirely sure that it is a good idea, so the future GLM fedora packages will likely not immediately ship it. I am trying to seek better understanding of the situation, though, so I am hopeful that find_package(GLM REQUIRED) will eventually work just fine in Fedora.
Comment 2 Jaroslav Reznik 2015-03-03 10:09:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Joonas Sarajärvi 2015-08-23 03:54:00 EDT
The current GLM version in Rawhide installs a bunch of configuration files at the /usr/share/cmake/glm directory. These should provide appropriate results from find_package(GLM) in a CMakeLists.txt file.

Note You need to log in before you can comment on or make changes to this bug.